
Infrastructure - Task #2023

Story # 2000 (Closed): Edits for API docs and implementations for consistency

InsufficientResources usage

2011-11-14 19:25 - Rob Nahf

Status: Closed Start date: 2011-11-14

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.49-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

does mn.ping() need to throw insufficientResources?

why does getReplica() throw InsRes while get() does not?

why does listFormats() throw InsRes when "the objectformats collection could not be found at this node"?  shouldn't that be a

ServiceFailure?  (or NotImplemented)

Associated revisions

Revision 6171 - 2011-12-13 00:17 - Dave Vieglais

MNRead.get: added InsufficientResources exception; MNCore.ping: added description about InsufficientResource response; CNCore.listFormats:

removed InsufficientResources exception. Closes #2023

Revision 6171 - 2011-12-13 00:17 - Dave Vieglais

MNRead.get: added InsufficientResources exception; MNCore.ping: added description about InsufficientResource response; CNCore.listFormats:

removed InsufficientResources exception. Closes #2023

History

#1 - 2011-12-13 00:18 - Dave Vieglais

MNRead.get: added InsufficientResources exception; MNCore.ping: added description about InsufficientResource response; CNCore.listFormats:

removed InsufficientResources exception.

Changes in commit:6171

#2 - 2011-12-13 00:19 - Dave Vieglais

- Status changed from New to Closed
